# Anhang 1
#
# Gemeinsame Verteilung eines metrischen und eines kategorialen Merkmals
# Zufallszahlen generieren
x <- rep(c(1:2), c(150, 50) * .6); y <- x + rnorm(80, x/2)
# gemeinsame Verteilung (xprop = TRUE) mit Symbolen für Mann und Frau
battleship(y = y, x = x, dtr = FALSE, fill = TRUE, xprop = TRUE,
           ship = TRUE, dis = "normal", plank = 3, cline = TRUE, space = 1.2,
           dot = TRUE, binz = c(11, 23), icon = list(man %*% diag(c(5, 1)), woman))
# bedingte Verteilungen (xprop = FALSE) ohne Symbole
battleship(y=y, x=x, dtr=FALSE, fill=TRUE, xprop=FALSE,
           ship = TRUE, dis = "normal", plank = 3, cline = TRUE, space = 1.2,
           dot = FALSE)

# Gradient
# In jeder von 5 Größen 19 Fichten-Symbole um die Gerade a + b Größe herum
# Farbe, Größe und Standort sind an einander gekoppelt
Gradient(age = c(2, 1.4, 1, 0.7, 0.5), a = 0, b = 1, icon = fir, colo = c("darkgreen","green"), ni = 19, near = 0.5)

# Cluster: Schwärme blauer und grüner Dorsche schwimmen aufeinander zu
Cluster(nij = 4,    # Dorsche je Altersklasse
        age   = c(2, 1.4, 1, 0.7, 0.5),    # Größen je Altersklasse
        delta = 1.5,                     # standardisierte Differenz der Erwartungswerte
        colo  = c("blue", "lightblue", "darkgreen", "green"), # Farbverlaufsenden für zwei Gruppen
        icon  = 8 * cod)

# Weizenfelder, die rechts und links unterschiedlich reife und große Ähren tragen
Forest(ni = 15, nrow = 5, near = -2, icon = wheat - 3, sizeratio= 1.4, path = 11, colle=c("yellow","gold"), colri=c("lightgreen","yellow"), col="brown")

# 2x3-Plan, bei dem besonders die Größe moduliert wird
plan(9, r = 2, c = 3, re= .1, ce = .2, ie = 0, icon = 3*arabidopsis, colo = c("darkgreen", “yellow“), col=“darkgreen“)

# GLM mit deutlicher Wechselwirkung
# Daten erzeugen unter Angabe der Verteilung, Regressoren und Regressionskoeffizienten
daten <- rglm(dist = "poisson", link = „id“,
              xes = list(x1 = c(10, 20), x2 = 2, x3 = c(0.7, 2.5), x4 = c(-2, 6)),
              beta = c(1, 0.5, 2, .03, 1, 0.7))
# Der erste Regressionskoeffizient ist der Achsenabschnitt.
# Der letzte Regressionskoeffizient ist der Wechselwirkungseffekt zwischen dem ersten und dem zweiten Regressor
# Symbol-Diagramm zum GLM mit Tuning-Parametern für die Rotation, die Symbol-Größe und -Stauchung
plotglm(icon = E.coli, colo = c("gray", "green"), col = "darkgrey", rot = 10, iex = .2, str = .3, data = daten)

# Logistische Regression in einer Variablen
daten <- rglm(n = 12, dist = "binomial",
              xes = list(x1 = c(7, 14), x2 = 1, x3 = 1, x4 = 1),
              beta=c(0, 0.032, 0, 0, 0, 0))
daten[, 5] <- daten[, 1]          # Drehung je nach Ereignis
daten[, 4] <- daten[, 2] / 10   # Größe je nach Kovariable
plotglm(icon = zebrafish, colo = c("n"), col = "black", rot = pi,
        iex = .04, str = 1.3, data = daten)
# Schätzung einzeichnen
est <- glm(y ~ x.x1, family = 'binomial', data = daten)
new <- data.frame(x.x1 = (1:200) / 10)
odd <- exp(predict(est, newdata = new))
P <- odd / (1 + odd)
lines(new$x.x1, P)
abline(v = -est$coefficients[1] / est$coefficients[2], h = c(0, 0.5, 1), lty = 2)


